# Uses of Class
org.apache.qpid.proton.amqp.messaging.Footer

Packages that use Footer
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.codec.messaging
org.apache.qpid.proton.message
org.apache.qpid.proton.message.impl

## Uses of Footer in org.apache.qpid.proton

Methods in org.apache.qpid.proton with parameters of type Footer
Modifier and Type
Method
Description
`static Message`
Proton.`message(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`

## Uses of Footer in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return Footer
Modifier and Type
Method
Description
`Footer`
FooterType.`newInstance(Object described)`
`Footer`
FastPathFooterType.`readValue()`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type Footer
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<Footer>>`
FastPathFooterType.`getAllEncodings()`
`TypeEncoding<Footer>`
FastPathFooterType.`getCanonicalEncoding()`
`TypeEncoding<Footer>`
FastPathFooterType.`getEncoding(Footer val)`
`Class<Footer>`
FastPathFooterType.`getTypeClass()`
`Class<Footer>`
FooterType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type Footer
Modifier and Type
Method
Description
`TypeEncoding<Footer>`
FastPathFooterType.`getEncoding(Footer val)`
`protected Map`
FooterType.`wrap(Footer val)`
`void`
FastPathFooterType.`write(Footer val)`

## Uses of Footer in org.apache.qpid.proton.message

Methods in org.apache.qpid.proton.message that return Footer
Modifier and Type
Method
Description
`Footer`
Message.`getFooter()`
Methods in org.apache.qpid.proton.message with parameters of type Footer
Modifier and Type
Method
Description
`static Message`
Message.Factory.`create(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
`void`
Message.`setFooter(Footer footer)`

## Uses of Footer in org.apache.qpid.proton.message.impl

Methods in org.apache.qpid.proton.message.impl that return Footer
Modifier and Type
Method
Description
`Footer`
MessageImpl.`getFooter()`
Methods in org.apache.qpid.proton.message.impl with parameters of type Footer
Modifier and Type
Method
Description
`void`
MessageImpl.`setFooter(Footer footer)`
Constructors in org.apache.qpid.proton.message.impl with parameters of type Footer
Modifier
Constructor
Description
``
`MessageImpl(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
Application code should instead use `Message.Factory.create(Header, DeliveryAnnotations, MessageAnnotations, Properties, ApplicationProperties, Section, Footer)`